#include <stdio.h>

int main() {
  int a, x, b, y;
  // spojlovan rezultat
  scanf("%d %d", &a, &b);
  // rezultat na poluvremenu
  scanf("%d %d", &x, &y);

  if( a>x && b==y ) {
    printf("prvi");
  } else if( a==x && b>y ) {
    printf("drugi");
  } else if( a==x && b==y ) {
    printf("nijedan");
  } else {
    printf("?");
  }
  
  return 0;
}